summaryrefslogtreecommitdiff
path: root/ediff.sh.in
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2014-11-29 21:12:16 -0500
committerLuke Shumaker <lukeshu@sbcglobal.net>2014-11-29 21:12:16 -0500
commitba45b8bb8b1efbe8559c420dccbdfe4c3c9cbd02 (patch)
treec7ab9e0d2b3f04ca4ca6e422f8902a05ed98ea87 /ediff.sh.in
parent3cc97ee0730b747e50c4365735cded88c2116966 (diff)
emacs_getopt: have the caller capture the output
Diffstat (limited to 'ediff.sh.in')
-rw-r--r--ediff.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/ediff.sh.in b/ediff.sh.in
index b7c0088..8093fff 100644
--- a/ediff.sh.in
+++ b/ediff.sh.in
@@ -38,8 +38,8 @@ main() {
declare mode=normal
declare cmd=ediff
- declare args=
- emacs_getopt 3r recursive "$@" || error=true
+ declare args
+ args="$(emacs_getopt 3r recursive "$@")" || error=true
eval set -- "$args"
while true; do
case "$1" in